### A free/open-source library for quantitative finance

Classes
ql/cashflows/averagebmacoupon.hpp File Reference

coupon paying a weighted average of BMA-index fixings More...

`#include <ql/cashflows/floatingratecoupon.hpp>`
`#include <ql/indexes/bmaindex.hpp>`
Include dependency graph for averagebmacoupon.hpp:

## Classes

class | AverageBMACoupon
| Average BMA coupon. More...
class | AverageBMALeg
| helper class building a sequence of average BMA coupons More...

## Detailed Description

coupon paying a weighted average of BMA-index fixings